Package org.apache.tomcat.util.file

## Class ConfigurationSource.Resource

- java.lang.Object
- - org.apache.tomcat.util.file.ConfigurationSource.Resource

- All Implemented Interfaces:
    `AutoCloseable`
  Enclosing interface:
    ConfigurationSource

      public static class ConfigurationSource.Resource
      extends Object
      implements AutoCloseable

  Represents a resource: a stream to the resource associated with its URI.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Resource​(InputStream inputStream, URI uri)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `InputStream` | `getInputStream()` |
    `long` | `getLastModified()` |
    `URI` | `getURI()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Resource

          public Resource​(InputStream inputStream,
                          URI uri)

  - ### Method Detail

    - #### getInputStream

          public InputStream getInputStream()

    - #### getURI

          public URI getURI()

    - #### getLastModified

          public long getLastModified()
                               throws MalformedURLException,
                                      IOException

      Throws:
        `MalformedURLException`
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`